# Serialized Form

Package org.firebirdsql.gds

Class org.firebirdsql.gds.GDSException extends Exception implements Serializable

Serialized Fields

### type

    int type

### intParam

    int intParam

### strParam

    String strParam

### xaErrorCode

    int xaErrorCode

  The variable `xaErrorCode` is used to allow the same code to be used for transaction control from the XAResource, LocalTransaction, and Connection. This code may be added to the GDSException without obscuring the message: only at the final level is the GDSException converted to the spec-required exception.

### next

    GDSException next

  My child

Package org.firebirdsql.gds.impl

Class org.firebirdsql.gds.impl.AbstractGDS extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.firebirdsql.gds.impl.GDSServerVersion extends Object implements Serializable

Serialized Fields

### rawStr

    String rawStr

### platform

    String platform

### type

    String type

### majorVersion

    int majorVersion

### minorVersion

    int minorVersion

### variant

    int variant

### buildNumber

    int buildNumber

### serverName

    String serverName

### extendedServerName

    String extendedServerName

Class org.firebirdsql.gds.impl.GDSServerVersionException extends GDSException implements Serializable

Class org.firebirdsql.gds.impl.GDSType extends Object implements Serializable

Serialization Methods

### readResolve

    public Object readResolve()

Serialized Fields

### name

    String name

Package org.firebirdsql.gds.impl.jni

Class org.firebirdsql.gds.impl.jni.BaseGDSImpl extends AbstractGDS implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.firebirdsql.gds.impl.jni.BlobParameterBufferImp extends org.firebirdsql.gds.impl.jni.ParameterBufferBase implements Serializable

Class org.firebirdsql.gds.impl.jni.DatabaseParameterBufferImp extends org.firebirdsql.gds.impl.jni.ParameterBufferBase implements Serializable

Class org.firebirdsql.gds.impl.jni.EmbeddedGDSImpl extends JniGDSImpl implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.firebirdsql.gds.impl.jni.GDSSynchronizationPolicy.AbstractSynchronizationPolicy extends Object implements Serializable

Serialized Fields

### gds

    GDS gds

Class org.firebirdsql.gds.impl.jni.GDSSynchronizationPolicy.ClientLibrarySyncPolicy extends GDSSynchronizationPolicy.AbstractSynchronizationPolicy implements Serializable

Class org.firebirdsql.gds.impl.jni.InternalError extends RuntimeException implements Serializable

Class org.firebirdsql.gds.impl.jni.JniGDSImpl extends BaseGDSImpl implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.firebirdsql.gds.impl.jni.LocalGDSImpl extends JniGDSImpl implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.firebirdsql.gds.impl.jni.NativeGDSImpl extends JniGDSImpl implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.firebirdsql.gds.impl.jni.ParameterBufferBase.Argument extends Object implements Serializable

Class org.firebirdsql.gds.impl.jni.ParameterBufferBase.NumericArgument extends ParameterBufferBase.Argument implements Serializable

Serialized Fields

### type

    int type

### value

    int value

Class org.firebirdsql.gds.impl.jni.ParameterBufferBase.StringArgument extends ParameterBufferBase.Argument implements Serializable

Serialized Fields

### type

    int type

### value

    String value

Class org.firebirdsql.gds.impl.jni.TransactionParameterBufferImpl extends org.firebirdsql.gds.impl.jni.ParameterBufferBase implements Serializable

Package org.firebirdsql.gds.impl.wire

Class org.firebirdsql.gds.impl.wire.AbstractJavaGDSImpl extends AbstractGDS implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.firebirdsql.gds.impl.wire.BlobParameterBufferImp extends ParameterBufferBase implements Serializable

Class org.firebirdsql.gds.impl.wire.DatabaseParameterBufferImp extends ParameterBufferBase implements Serializable

Class org.firebirdsql.gds.impl.wire.JavaGDSImpl extends AbstractJavaGDSImpl implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.firebirdsql.gds.impl.wire.ParameterBufferBase extends Object implements Serializable

Serialized Fields

### arguments

    List<E> arguments

Class org.firebirdsql.gds.impl.wire.ParameterBufferBase.Argument extends Object implements Serializable

Class org.firebirdsql.gds.impl.wire.ParameterBufferBase.NumericArgument extends ParameterBufferBase.Argument implements Serializable

Serialized Fields

### type

    int type

### value

    int value

Class org.firebirdsql.gds.impl.wire.ParameterBufferBase.StringArgument extends ParameterBufferBase.Argument implements Serializable

Serialized Fields

### type

    int type

### value

    String value

Class org.firebirdsql.gds.impl.wire.TransactionParameterBufferImpl extends ParameterBufferBase implements Serializable

Package org.firebirdsql.jca

Class org.firebirdsql.jca.FBConnectionRequestInfo extends Object implements Serializable

Serialized Fields

### dpb

    DatabaseParameterBuffer dpb

Class org.firebirdsql.jca.FBIncorrectXidException extends FBResourceException implements Serializable

Class org.firebirdsql.jca.FBManagedConnectionFactory extends Object implements Serializable

Serialization Methods

### readResolve

    private Object readResolve()
                        throws ObjectStreamException

  Throws:
    `ObjectStreamException`

Serialized Fields

### defaultCm

    javax.resource.spi.ConnectionManager defaultCm

### hashCode

    int hashCode

### gdsType

    GDSType gdsType

### connectionProperties

    FBConnectionProperties connectionProperties

Class org.firebirdsql.jca.FBResourceException extends javax.resource.ResourceException implements Serializable

Class org.firebirdsql.jca.FBResourceTransactionException extends FBResourceException implements Serializable

Class org.firebirdsql.jca.FBStandAloneConnectionManager extends Object implements Serializable

Class org.firebirdsql.jca.FBTpb extends Object implements Serializable

Serialized Fields

### transactionParams

    TransactionParameterBuffer transactionParams

Class org.firebirdsql.jca.FBXAException extends XAException implements Serializable

Serialized Fields

### reason

    Exception reason

Package org.firebirdsql.jdbc

Class org.firebirdsql.jdbc.FBConnectionProperties extends Object implements Serializable

Serialized Fields

### properties

    HashMap<K,V> properties

### type

    String type

### database

    String database

### tpbMapping

    String tpbMapping

### defaultTransactionIsolation

    int defaultTransactionIsolation

### customMapping

    HashMap<K,V> customMapping

### mapper

    FBTpbMapper mapper

Class org.firebirdsql.jdbc.FBDataSource extends Object implements Serializable

Serialized Fields

### cm

    javax.resource.spi.ConnectionManager cm

### mcf

    FBManagedConnectionFactory mcf

### jndiReference

    Reference jndiReference

### loginTimeout

    int loginTimeout

Class org.firebirdsql.jdbc.FBDriverConsistencyCheckException extends FBSQLException implements Serializable

Class org.firebirdsql.jdbc.FBDriverNotCapableException extends FBSQLException implements Serializable

Class org.firebirdsql.jdbc.FBMissingParameterException extends FBSQLException implements Serializable

Serialized Fields

### setParams

    boolean[] setParams

Class org.firebirdsql.jdbc.FBResultSetNotUpdatableException extends FBSQLException implements Serializable

Class org.firebirdsql.jdbc.FBSQLException extends SQLException implements Serializable

Serialized Fields

### original

    Exception original

### message

    String message

Class org.firebirdsql.jdbc.FBSQLParseException extends FBSQLException implements Serializable

Class org.firebirdsql.jdbc.FBSQLWarning extends SQLWarning implements Serializable

Serialized Fields

### original

    GDSException original

### message

    String message

Class org.firebirdsql.jdbc.FBTpbMapper extends Object implements Serializable

Serialized Fields

### mapping

    HashMap<K,V> mapping

### defaultIsolationLevel

    int defaultIsolationLevel

Class org.firebirdsql.jdbc.FBWrappingDataSource extends FBWrappingDataSource implements Serializable

Package org.firebirdsql.jdbc.field

Class org.firebirdsql.jdbc.field.TypeConvertionException extends FBSQLException implements Serializable

Package org.firebirdsql.pool

Class org.firebirdsql.pool.AbstractDriverConnectionPoolDataSource extends BasicAbstractConnectionPool implements Serializable

Serialized Fields

### logWriter

    PrintWriter logWriter

### jdbcUrl

    String jdbcUrl

### driverClassName

    String driverClassName

### transactionIsolation

    int transactionIsolation

### props

    Properties props

### connectionManager

    org.firebirdsql.pool.AbstractDriverConnectionPoolDataSource.DriverPooledConnectionManager connectionManager

Class org.firebirdsql.pool.AbstractFBConnectionPoolDataSource extends BasicAbstractConnectionPool implements Serializable

Serialized Fields

### connectionProperties

    FBConnectionProperties connectionProperties

Class org.firebirdsql.pool.BasicAbstractConnectionPool extends AbstractConnectionPool implements Serializable

Serialized Fields

### minPoolSize

    int minPoolSize

### maxPoolSize

    int maxPoolSize

### blockingTimeout

    int blockingTimeout

### retryInterval

    int retryInterval

### maxIdleTime

    int maxIdleTime

### pingInterval

    int pingInterval

### pingStatement

    String pingStatement

### pooling

    boolean pooling

### statementPooling

    boolean statementPooling

### keepStatements

    boolean keepStatements

### maxStatements

    int maxStatements

### reference

    Reference reference

Class org.firebirdsql.pool.DriverConnectionPoolDataSource extends AbstractDriverConnectionPoolDataSource implements Serializable

Class org.firebirdsql.pool.FBConnectionPoolDataSource extends AbstractFBConnectionPoolDataSource implements Serializable

Class org.firebirdsql.pool.FBSimpleDataSource extends Object implements Serializable

Serialized Fields

### jndiReference

    Reference jndiReference

### description

    String description

### loginTimeout

    int loginTimeout

Class org.firebirdsql.pool.FBWrappingDataSource extends Object implements Serializable

Serialized Fields

### pool

    AbstractFBConnectionPoolDataSource pool

### reference

    Reference reference

### description

    String description

Class org.firebirdsql.pool.ObjectCloseTraceException extends FBSQLException implements Serializable

Class org.firebirdsql.pool.PooledObjectEvent extends EventObject implements Serializable

Serialized Fields

### connectionDeallocated

    boolean connectionDeallocated

Class org.firebirdsql.pool.UnknownDriverTypeException extends SQLException implements Serializable

Package org.firebirdsql.pool.sun

Class org.firebirdsql.pool.sun.AppServerConnectionPoolDataSource extends Object implements Serializable

Serialized Fields

### dataSource

    AbstractFBConnectionPoolDataSource dataSource

Class org.firebirdsql.pool.sun.AppServerDataSource extends Object implements Serializable

Serialized Fields

### dataSource

    FBWrappingDataSource dataSource

Class org.firebirdsql.pool.sun.AppServerXADataSource extends Object implements Serializable

Serialized Fields

### dataSource

    AbstractFBConnectionPoolDataSource dataSource

Copyright © 2001-2010. All Rights Reserved.